通测工作室
通测工作室 - 测量工程师

性别: 上海 - 上海市 注册于 2018-11-30

没事就研究一下CAD的二次开发,让测量绘图效率提高,偷懒也必须专业。

向TA求助
23金币数
235 经验值
2个粉丝
主页被访问 209 次

最近动态

2018-12-06 19:39 发表了文章

2018-12-06 19:15 发表了文章

2018-12-05 09:42 回答问题

;;;----2015/6/1--修改 BY  QQ: 2135405144 (vl-load-com) (prompt "\n批量提取多段线(pline,lwpline)坐标,加载命令:tqzb。")  ;;;-----图面绘制编号--输出为测量坐标系------------ (defun C:tqzb (/ ss en ii ptb no pz)   (vl-load-com)   (setq cm (getvar "cmdecho"))   (setvar "cmdecho" 0)

2018-12-01 23:16 回答问题

(defun c:TQZB() (princ "\n选择所需输出的点或文字:") (setq ss (ssget ));;选取坐标点 (setq n (sslength ss ));计算坐标点数量 (setq ff (open (getfiled "文件保存为" "f:/" "dat" 1) "w"));保存路径 (setq i 0) (repeat n (setq spt (ssname ss i )) (setq ept (entget spt)) (if (= (cdr (assoc

2018-12-01 23:13 回答问题

(prompt "\n封闭区域内面积标注,命令 H6 ;") (defun c:h6 ()   (setvar "cmdecho" 0) (or TH_old (setq TH_old 1)        )     (princ "\n请输入编号<默认")     (princ TH_old)     (if(setq tmp (getreal ">文字高度: ")) (setq TH_old tmp)     )   (setq TH TH_old)   (set

2018-12-01 23:07 回答问题

不光是全站仪,经纬仪也一样,这是测量的要求。长边(后)控制短边(后)。 这样简单的给你解释吧,如下图,白色为正确的瞄准后视,红色为后视瞄准有误差的。(不考虑对中误差),后视对准产生出误差A,对造成实际放样的误差B,误差在放大。

2018-12-01 22:43 回答问题

还是建议实测XYZ坐标在CAD中展点,然后提取成横断面 ,再结合设计断面对比。

2018-12-01 22:24 回答问题

楼主的提问不够完整,这样的问题需要具体描述你已有的资料,需要达到的效果。

2018-12-01 21:58 发表了文章

2018-12-01 20:53 回答问题

楼主,你给的这个代码是子函数,人家设计的时候应该是有考虑的,有个完整的程序。 你需要修改就把示坡线的 线之间的长度、间距关系表达清楚。这样就可以修改成依比例绘图。